## net.dontdrinkandroot.lastfm.api.model
Class Wiki

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.Wiki

All Implemented Interfaces:
  java.io.Serializable

    public class Wiki

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.text.SimpleDateFormat` `PUBLISHED_FORMAT`

Constructor Summary
`Wiki(org.w3c.dom.Element element)` Generate Wiki from an XML Element.

Method Summary
`java.lang.String` `getContent()`
`java.util.Date` `getPublished()`
`void` `setContent(java.lang.String content)`
`void` `setPublished(java.util.Date published)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PUBLISHED_FORMAT

    public static final transient java.text.SimpleDateFormat PUBLISHED_FORMAT

Constructor Detail

### Wiki

    public Wiki(org.w3c.dom.Element element)

  Generate Wiki from an XML Element.

  Parameters:
    `element` - The XML Element to convert.

Method Detail

### getPublished

    public final java.util.Date getPublished()

### setPublished

    public final void setPublished(java.util.Date published)

### getContent

    public final java.lang.String getContent()

### setContent

    public final void setContent(java.lang.String content)

Copyright © 2012. All Rights Reserved.